ranges::v3::front_fn Struct Reference
Core

## Public Member Functions

template<typename Rng , requires = (ForwardRange<Rng>())>
constexpr range_reference_t< Rng > | operator() (Rng &&rng) const

## Member Function Documentation

## operator()()

template<typename Rng , requires = (ForwardRange<Rng>())>

constexpr range_reference_t<Rng> ranges::v3::front_fn::operator() | ( | Rng && | rng | ) | const

Returns
  `*begin(rng)`

References ranges::v3::begin.